# All files / src ObfuscationResult.ts

100% Statements 11/11
100% Branches 0/0
100% Functions 0/0
100% Lines 10/10

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    511x

    1x

    1x

    1x

    1x

    1817x
    1817x

    1324x

    14x

    1x

     import { injectable } from 'inversify';

    import { IObfuscationResult } from './interfaces/IObfuscationResult';

    import { initializable } from './decorators/Initializable';

    @injectable()
    export class ObfuscationResult implements IObfuscationResult {
        /**
         * @type {string}
         */
        @initializable()
        private obfuscatedCode: string;

        /**
         * @type {string}
         */
        @initializable()
        private sourceMap: string;

        /**
         * @param obfuscatedCode
         * @param sourceMap
         */
        public initialize (obfuscatedCode: string, sourceMap: string): void {
            this.obfuscatedCode = obfuscatedCode;
            this.sourceMap = sourceMap;
        }

        /**
         * @returns {string}
         */
        public getObfuscatedCode (): string {
            return this.obfuscatedCode;
        }

        /**
         * @returns {string}
         */
        public getSourceMap (): string {
            return this.sourceMap;
        }

        /**
         * @returns {string}
         */
        public toString (): string {
            return this.obfuscatedCode;
        }
    }